summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authoralecpl <alec@alec.pl>2008-10-07 13:52:39 +0000
committeralecpl <alec@alec.pl>2008-10-07 13:52:39 +0000
commitda402d66df24e3d0120dc933dcba5a6aa16454ed (patch)
tree6b1cb0c6fde18cf732629d273bf8be457eeb8601 /bin
parent27a12edcd97d8ff55a5a31ede2e624a23fc481ac (diff)
#1485456: small improvements in scripts
Diffstat (limited to 'bin')
-rw-r--r--bin/dumpschema.php2
-rwxr-xr-xbin/makedoc.sh17
2 files changed, 15 insertions, 4 deletions
diff --git a/bin/dumpschema.php b/bin/dumpschema.php
index 683e2719e..53c688c3d 100644
--- a/bin/dumpschema.php
+++ b/bin/dumpschema.php
@@ -1,6 +1,6 @@
<?php
-define('INSTALL_PATH', realpath('./../') . '/');
+define('INSTALL_PATH', realpath(dirname(__FILE__) . '/..') . '/' );
require INSTALL_PATH.'program/include/iniset.php';
/** callback function for schema dump **/
diff --git a/bin/makedoc.sh b/bin/makedoc.sh
index 5925d0a3f..02bc7a216 100755
--- a/bin/makedoc.sh
+++ b/bin/makedoc.sh
@@ -3,9 +3,20 @@
TITLE="RoundCube Classes"
PACKAGES="Core"
-PATH_PROJECT=$PWD/program/include
-PATH_DOCS=$PWD/doc/phpdoc
-PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+INSTALL_PATH="`dirname $0`/.."
+PATH_PROJECT=$INSTALL_PATH/program/include
+PATH_DOCS=$INSTALL_PATH/doc/phpdoc
+
+if [ -x /usr/local/php5/bin/phpdoc ]
+then
+ PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+elif [ -x /usr/bin/phpdoc ]
+then
+ PATH_PHPDOC=/usr/bin/phpdoc
+else
+ echo "phpdoc not found"
+ exit 1
+fi
OUTPUTFORMAT=HTML
CONVERTER=frames